Subject: Re: [OSPF] Question about exiting graceful restart (Local Mode) for OSPFv3

From: "sujay gupta" <[email-masked]>
Date: Sun, 11 Nov 2007 13:21:37 +0530

Hi Adi,

IMHO Change in link preifx or change in network prefix should cause
the Router A regenerate new LS updates.( as per the specs)
If it has not changed the newly generated router and network lsa
should be sufficient to build the graph post GR.

-Sujay

On 10/29/07, Adi Pasca <[email-masked]> wrote:
>
> Hi,
>
> I have one comment/question regarding the exit restart
> procedure for Local Mode for OSPFv3 (
>
> http://www.ietf.org/internet-drafts/draft-ietf-ospf-ospfv3-graceful-restart-07.txt
> )
>
> - in RFC3623, "Section 2.3 Actions on Exiting Graceful
> Restart" it is said that:
>
> (...)
>
>      1) The router should reoriginate its router-LSAs
> for all attached
>         areas in order to make sure they have the
> correct contents.
>
>      2) The router should reoriginate network-LSAs on
> all segments
>         where it is the Designated Router.
>
> (...)
>
>
> >From what I have seen, the
> draft-ietf-ospf-ospfv3-graceful-restart-07.txt doesn't
> make any
> update to the above section, but I was wondering if
> this is enough in the case of OSPFv3 graceful restart
> (because for OSPFv3 there are also the Link LSAs and
> Intra-Area-Prefix LSAs which contribute
> to the intra-area's topology description);
> shouldn't the Link LSAs and the Intra-Area-Prefix LSAs
> be reoriginated also ?
>
>
> One scenario that could lead to neighbors' databases
> being not synchronized after an restart is as follows:
>
> 1. We have two ospf routers (Router_A and Router_B)
> having configured one ospf area, each having a single
> interface into that area;
> 2. Router_A is given a command to restart gracefully;
>   almost simultaneously (after Router_A transmits its
> Grace LSA) Router_B's ospfv3 is disabled and then
> enabled (or non-gracefully restarted),
>   so that it cannot act as helper.
> 3. Hellos are received and the Database Exchange takes
> place (with Router_A being in graceful restart, so not
> originating any of its LSAs)
> 4. After that (when exchange is done), Router_A
> determines that it should exit restart due to
> inconsistency
> (RFC 3623: A special case of LSA inconsistency is
> when Router X establishes an adjacency with router Y
> and
> doesn't receive an instance of its own pre-restart
> router LSA.)
> 5. When exiting restart, Router_A reoriginate its
> Router LSA and, if it is the case, its Network LSA, so
> Router_B receives those LSAs; but Router_B never
> receives
>   Router_A's Link LSAs and Intra-Area-Prefix LSAs.
>
> Regards,
> Adrian
>
>
> __________________________________________________
> Do You Yahoo!?
> Tired of spam?  Yahoo! Mail has the best spam protection around
> http://mail.yahoo.com
>
>
> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ospf
>
_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf